%define __kde4_alternate_placement 1
%define libkipiplugins libkipiplugins1
%define kde4graphics_ver %{get_version kde4graphics-devel}

%_K_if_ver_gteq %kde4graphics_ver 4.4
%def_enable expoblending
%else
%def_disable expoblending
%endif

%define rname kipi-plugins
Name: kde4-%rname
%define beta %nil
Version: 1.2.0
Release: alt0.M51.3

Group: Graphics
Summary: KDE image Interface Plugins
License: GPLv2, ADOBE DNG SDK
Url: http://www.kipi-plugins.org/

Source0: %rname-%version.tar

Requires: %name-core = %version-%release
%if_enabled expoblending
Requires: %name-expoblending = %version-%release
%endif
%ifndef __kde4_alternate_placement
Provides: kipi-plugins = 3:%version-%release
Obsoletes: kipi-plugins < 3:%version-%release
%endif


# Automatically added by buildreq on Thu Apr 16 2009 (-bi)
#BuildRequires: gcc-c++ kde4graphics-devel kde4pimlibs-devel libGL-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXdmcp-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libexpat-devel libgio-devel libgpod-devel libgtk+2-common-devel libnss-fallback libopencv-devel libqt3-devel libsane-devel libxkbfile-devel libxslt-devel nvidia_glx_180.44 subversion xorg-xf86vidmodeproto-devel xsltproc
BuildRequires(pre): kde4libs-devel kde4graphics-devel
BuildRequires: gcc-c++ kde4pimlibs-devel xorg-devel
BuildRequires: libgio-devel libgpod-devel libgtk+2-devel
BuildRequires: libopencv-devel libsane-devel libxslt-devel xsltproc libexpat-devel libxml2-devel libjpeg-devel

%description
The library of the KDE Image Plugin Interface used by digiKam and Gwenview

%package common
Summary: %name common package
Group: System/Configuration/Other
Requires: kde-common
Conflicts: kde4-kipi-plugins <= 1.1.0-alt1
%description common
%name common package

%package core
Group: Graphics
Summary: Core files for %name
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
Requires: icc-profiles ImageMagick-tools
%description core
Core files for %name

%package expoblending
Group: Graphics
Summary: A tool to blend bracketed images
Requires: kde4libs >= %{get_version kde4libs}
Requires: %name-common = %version-%release
Requires: hugin enblend
%description expoblending
A tool to blend bracketed images

%package -n %libkipiplugins
Summary: KDE 4 library
Group: System/Libraries
Requires: kde4libs >= %{get_version kde4libs}
Requires: %name-common = %version-%release
%description -n %libkipiplugins
KDE 4 library.

%prep
%setup -q -n %rname-%version

%build
%K4cmake
%K4make

%install
%K4install

%K4find_lang --with-kde %rname
find %buildroot/%_K4i18n -type f -name kipi\*.mo | sed "s|\.mo$||" | \
while read f; do echo `basename "$f"`; done | sort| uniq | \
while read n
do
    %K4find_lang --with-kde --append --output=%rname.lang "$n"
done

%files
%files common

%files core -f %rname.lang
%doc AUTHORS ChangeLog README TODO NEWS COPYING-*
%__kde4_bindir/dngconverter
%__kde4_bindir/scangui
%_K4lib/kipiplugin_*.so
%_K4apps/kipiplugin_*
%_K4srv/kipiplugin_*
%_K4iconsdir/oxygen/*/*/*.*
%__kde4_iconsdir/hicolor/*/*/*.*
%__kde4_xdg_apps/dngconverter.desktop
%__kde4_xdg_apps/kipiplugins.desktop
%__kde4_xdg_apps/scangui.desktop
%if_enabled expoblending
%exclude %_K4lib/kipiplugin_expoblending.so
%exclude %_K4srv/kipiplugin_expoblending.desktop
%exclude %_K4apps/kipiplugin_expoblending
%endif

%if_enabled expoblending
%files expoblending
%__kde4_bindir/expoblending
%_K4lib/kipiplugin_expoblending.so
%_K4apps/kipiplugin_expoblending
%_K4srv/kipiplugin_expoblending.desktop
%__kde4_xdg_apps/expoblending.desktop
%endif

%files -n %libkipiplugins
%_K4libdir/libkipiplugins.so.*

%changelog
* Thu Apr 22 2010 Sergey V Turchin <zerg@altlinux.org> 1.2.0-alt0.M51.3
- rebuilt with new KDE

* Mon Mar 29 2010 Sergey V Turchin <zerg@altlinux.org> 1.2.0-alt0.M51.1
- built for M51

* Mon Mar 29 2010 Sergey V Turchin <zerg@altlinux.org> 1.2.0-alt1
- new version

* Fri Mar 12 2010 Sergey V Turchin <zerg@altlinux.org> 1.1.0-alt3
- rebuilt with new opencv

* Tue Mar 09 2010 Sergey V Turchin <zerg@altlinux.org> 1.1.0-alt1.M51.1
- built for M51

* Tue Mar 09 2010 Sergey V Turchin <zerg@altlinux.org> 1.1.0-alt2
- split expoblending to separate package (able only with kde-4.4) (ALT#23087)

* Thu Mar 04 2010 Sergey V Turchin <zerg@altlinux.org> 1.1.0-alt0.M51.1
- built for M51

* Thu Mar 04 2010 Sergey V Turchin <zerg@altlinux.org> 1.1.0-alt1
- new version

* Thu Jan 28 2010 Sergey V Turchin <zerg@altlinux.org> 1.0.0-alt3
- rebuilt with kde-4.4

* Tue Dec 29 2009 Sergey V Turchin <zerg@altlinux.org> 1.0.0-alt1.M51.1
- built for M51

* Tue Dec 29 2009 Sergey V Turchin <zerg@altlinux.org> 1.0.0-alt2
- require ImageMagick-tools(convert)

* Thu Dec 24 2009 Sergey V Turchin <zerg@altlinux.org> 1.0.0-alt0.M51.1
- built for M51

* Thu Dec 24 2009 Sergey V Turchin <zerg@altlinux.org> 1.0.0-alt1
- new version

* Wed Dec 09 2009 Sergey V Turchin <zerg@altlinux.org> 0.9.0-alt0.M51.1
- built for M51

* Tue Dec 08 2009 Sergey V Turchin <zerg@altlinux.org> 0.9.0-alt1
- new version

* Thu Nov 12 2009 Sergey V Turchin <zerg@altlinux.org> 0.8.0-alt0.M51.1
- built for M51

* Thu Nov 12 2009 Sergey V Turchin <zerg@altlinux.org> 0.8.0-alt1
- new version

* Tue Sep 29 2009 Sergey V Turchin <zerg@altlinux.org> 0.7.0-alt1
- new version

* Tue Sep 01 2009 Sergey V Turchin <zerg@altlinux.org> 0.6.0-alt1
- new version

* Fri Aug 07 2009 Sergey V Turchin <zerg@altlinux.org> 0.5.0-alt0.M50.1
- built for M50

* Fri Aug 07 2009 Sergey V Turchin <zerg@altlinux.org> 0.5.0-alt1
- new version

* Thu Jul 23 2009 Sergey V Turchin <zerg@altlinux.org> 0.4.0-alt2
- update to svn r1001493

* Tue Jul 14 2009 Sergey V Turchin <zerg@altlinux.org> 0.4.0-alt0.M50.1
- built for M50

* Tue Jul 14 2009 Sergey V Turchin <zerg@altlinux.org> 0.4.0-alt1
- new version

* Tue Jun 23 2009 Sergey V Turchin <zerg@altlinux.org> 0.3.0-alt2
- rebuilt

* Wed May 13 2009 Sergey V Turchin <zerg@altlinux.org> 0.3.0-alt1
- new version

* Thu Apr 16 2009 Sergey V Turchin <zerg at altlinux dot org> 0.2.0-alt1
- initial specfile
